[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# TProcess.Resume

Resume execution of a suspended process

## Declaration

Source position: process.pp line 119

`public function TProcess.Resume: Integer; virtual;`

## Function result

0 on success, nonzero otherwise.

## Description

Resume should be used to let a suspended process resume it's execution. It should be called in particular when the poRunSuspended flag is set in Options.

## Errors

None.

## See also

TProcess.Suspend |  | Suspend a running process
TProcess.Options |  | Options to be used when starting the process.
TProcess.Execute |  | Execute the program with the given options
TProcess.Terminate |  | Terminate a running process

Documentation generated on: Feb 26 2014